<?php

use App\Http\Controllers\QrCodeController;
use App\Http\Controllers\LogController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/qrcode/{valorqr}', [QrCodeController::class, 'geraQrCode']);

Route::get('/exibir-log', [LogController::class, 'exibirLog'])->name('exibir-log');

Route::get('/limpar-log', [LogController::class, 'limparLog'])->name('limpar-log');


